%global zikula_base         %{_datadir}/zikula
%global zikula_moddir       %{zikula_base}/modules
%global zikula_modname      fedora-fasauth
%global zikula_dirname      AuthFAS

Name:           zikula-module-%{zikula_modname}
Version:        0.4
Release:        1%{?dist}
Summary:        FAS Auth for Zikula 

Group:          Applications/Publishing
License:        GPL+
# Use top-level URL from Zikula site for the module
URL:            https://fedorahosted.org/fedora-zikula
# for source: 
# git clone git://git.fedorahosted.org/git/fedora-zikula.git 
# git checkout %{version}
# tar -jcvf zikula-module-fedora-fasauth.bz2 fedora-zikula
Source0:        %{name}.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
#BuildRequires:  
Requires:       zikula

%description
Provides mechanism for Zikula to authenticate FAS users


%prep
%setup -qn fedora-zikula
# Remove empty index.html and others
find -size 0 | xargs rm -f
rm -rf .git

%build


%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_dirname} 
cp -pr ./config $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_dirname}
cp -pr ./modules/AuthFAS/* $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_dirname}
rm -rf $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_dirname}/pndocs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)

%{zikula_moddir}/%{zikula_dirname}


%changelog
* Thu Jun 24 2010 David Nalley <david@gnsa.us> 0.4-1
- upgrading to capture latest from 'upstream'
* Wed Mar 31 2010 David Nalley <david@gnsa.us> 0.3-1
- Simon changed pnuserapi.php to not be broken
* Thu Sep 10 2009 David Nalley <david@gnsa.us> 0.2-2
- actually including the right code
- changed to using dirname that simon is expecting
* Thu Aug 27 2009 David Nalley <david@gnsa.us> 0.2-1
- Packaging up simons newest fasauth changes
* Thu Jul 16 2009 David Nalley <david@gnsa.us> 0.1-1
- Initial packaging
